Index: code/branches/BigShip_HS16/data/levels/HeavyCruiser.oxw
===================================================================
--- code/branches/BigShip_HS16/data/levels/HeavyCruiser.oxw	(revision 11213)
+++ code/branches/BigShip_HS16/data/levels/HeavyCruiser.oxw	(revision 11320)
@@ -34,5 +34,5 @@
 
 <!-- HeavyCruiser and all its parts in one static entity -->
-    <StaticEntity position="-300,0,-2000" direction="0,0,0" yaw="180" collisionType=static mass=100000 friction=0.01 >
+    <!--StaticEntity position="-300,0,-2000" direction="0,0,0" yaw="180" collisionType=static mass=100000 friction=0.01 >
     <attached>
             <Model mesh="HeavyCruiser_body.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
@@ -46,5 +46,4 @@
             <Model mesh="HeavyCruiser_sidearmRfront.mesh" direction="-1,0,0" position="0,0,0" scale="40"/>
             
-            <!-- bay1 lights -->
             <BlinkingBillboard position="75,30,-416" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.05 frequency=0.3 phase=240 quadratic=1 />
             <BlinkingBillboard position="-75,30,-416" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.05 frequency=0.3 phase=240 quadratic=1 />
@@ -53,10 +52,10 @@
             <BlinkingBillboard position="73,30,-388" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.15 frequency=0.3 phase=0 quadratic=1 />
             <BlinkingBillboard position="-73,30,-388" material="Examples/Flare" colour="0.8, 0.8, 0, 0.1" amplitude=0.15 frequency=0.3 phase=0 quadratic=1 />
-            <!-- front position lights -->
+
             <BlinkingBillboard position="67,-5,-240" material="Examples/Flare" colour="0, 0.7, 0, 0.1" amplitude=0.3 frequency=0.15 phase=0 quadratic=1 />
             <BlinkingBillboard position="-67,-5,-240" material="Examples/Flare" colour="0.7, 0, 0, 0.1" amplitude=0.3 frequency=0.15 phase=360 quadratic=1 />
             <BlinkingBillboard position="72,51,-380" material="Examples/Flare" colour="0, 0.7, 0, 0.1" amplitude=0.3 frequency=0.15 phase=360 quadratic=1 />
             <BlinkingBillboard position="-72,51,-380" material="Examples/Flare" colour="0.7, 0, 0, 0.1" amplitude=0.3 frequency=0.15 phase=0 quadratic=1 />
-            <!-- rear position lights -->
+
             <BlinkingBillboard position="95,-15,483" material="Examples/Flare" colour="0, 0.7, 0, 0.1" amplitude=0.3 frequency=0.15 phase=360 quadratic=1 />
             <BlinkingBillboard position="-95,-15,483" material="Examples/Flare" colour="0.7, 0, 0, 0.1" amplitude=0.3 frequency=0.15 phase=0 quadratic=1 />
@@ -293,16 +292,9 @@
         <BoxCollisionShape position="0,18,69" halfExtents="23,12,1" info="HOOKBOX, wide"/>
         <BoxCollisionShape position="0,18,47" halfExtents="23,12,1" info="HOOKBOX, wide"/>
-        
-<!--         <BoxCollisionShape position="-11,18,102" halfExtents="10,10,10" info="HOOK, sidearmL"/>
-        <BoxCollisionShape position="11,18,102" halfExtents="10,10,10" info="HOOK, sidearmR"/>
-        <BoxCollisionShape position="-11,18,80" halfExtents="10,10,10" info="HOOK, partL"/>
-        <BoxCollisionShape position="11,18,80" halfExtents="10,10,10" info="HOOK, partR"/>
-        <BoxCollisionShape position="-11,18,58" halfExtents="10,10,10" info="HOOK, frontL"/>
-        <BoxCollisionShape position="11,18,58" halfExtents="10,10,10" info="HOOK, frontR"/>-->
     </collisionShapes>
-    </StaticEntity>
+    </StaticEntity-->
 
     <!-- Width/Height/Lenght--><!-- B=back F=front C=center-->
-    <StaticEntity position="300,0,-2000" direction="0,0,0" yaw="180" collisionType=static mass=100000 friction=0.01 >
+    <!--StaticEntity position="300,0,-2000" direction="0,0,0" yaw="180" collisionType=static mass=100000 friction=0.01 >
     <attached>
         <Model position="80,33,-320" mesh="cube.mesh" scale3D="7,11,54" info="frontR"/>
@@ -358,6 +350,4 @@
         <Model position="153,60,-65" roll="-15" mesh="cube.mesh" scale3D="4,3,4" info="sidearmRfront, top"/>
         <Model position="153,59,-41" roll="-15" mesh="cube.mesh" scale3D="8,2,11" info="sidearmRfront, top"/>
-
-        <!--<Model position="145,21,50" mesh="cube.mesh" scale3D="10,10,20" info="sidearmRfront, HOOK"/>-->
 
 
@@ -399,6 +389,4 @@
         <Model position="-153,59,-41" roll="15" mesh="cube.mesh" scale3D="8,2,11" info="sidearmLfront, top"/>
 
-        <!--<Model position="-145,21,50" mesh="cube.mesh" scale3D="10,10,20" info="sidearmLfront, HOOK"/>-->
-
 
         <Model position="60,35,-310" mesh="cube.mesh" scale3D="13,28,60" info="body, bay1, Rwall"/>
@@ -544,5 +532,5 @@
     <collisionShapes>
     </collisionShapes>
-    </StaticEntity>
+    </StaticEntity-->
 
 
@@ -738,5 +726,5 @@
     </Pawn>
 
-    <Pawn team=1 health=300 initialhealth=300 maxhealth=300 position="0,300,-2000" yaw="180" direction="0,0,0" collisionType=dynamic mass=1000 name=HeavyCruiser_sidearmL radarname = "HIDDEN" >
+    <!--Pawn team=1 health=300 initialhealth=300 maxhealth=300 position="0,300,-2000" yaw="180" direction="0,0,0" collisionType=dynamic mass=1000 name=HeavyCruiser_sidearmL radarname = "HIDDEN" >
 
         <explosion>
@@ -752,6 +740,4 @@
             <BoxCollisionShape position="-11,18,102" halfExtents="10,10,10" info="HOOK, sidearmL"/>
             
-            <!-- <BoxCollisionShape position="-109,47,87" halfExtents="29,8,26" info="sidearmL, upper connection"/>
-            <BoxCollisionShape position="-99,-1,79" roll="15" halfExtents="40,4,9" info="sidearmL, lower connection"/>-->
             <BoxCollisionShape position="-151,47,115" roll="15" halfExtents="16,2,105" info="sidearmL, frontTop"/>
             <BoxCollisionShape position="-136,-7,115" roll="15" halfExtents="16,2,105" info="sidearmL, frontBottom"/>
@@ -760,5 +746,4 @@
             <BoxCollisionShape position="-145,21,12" roll="15" halfExtents="16,28,2" info="sidearmL, front"/>
             <BoxCollisionShape position="-140,12,261" roll="15" halfExtents="22,41,43" info="sidearmL, back"/>
-            <!--<BoxCollisionShape position="-145,25,5" roll="15" halfExtents="10,18,5" info="sidearmL, front break"/>-->
             <BoxCollisionShape position="-133,-13,29" roll="15" halfExtents="12,6,17" info="sidearmL, bottom cylinder"/>
             <BoxCollisionShape position="-165,-4,31" roll="15" halfExtents="7,21,13" info="sidearmL, box"/>
@@ -816,7 +801,4 @@
         <collisionShapes>
             <BoxCollisionShape position="11,18,102" halfExtents="10,10,10" info="HOOK, sidearmR"/>
-
-        <!--<BoxCollisionShape position="109,47,87" halfExtents="29,8,26" info="sidearmR, upper connection"/>
-            <BoxCollisionShape position="99,-1,79" roll="-15" halfExtents="40,4,9" info="sidearmR, lower connection"/>-->
             <BoxCollisionShape position="151,47,115" roll="-15" halfExtents="16,2,105" info="sidearmR, frontTop"/>
             <BoxCollisionShape position="136,-7,115" roll="-15" halfExtents="16,2,105" info="sidearmR, frontBottom"/>
@@ -825,5 +807,4 @@
             <BoxCollisionShape position="145,21,12" roll="-15" halfExtents="16,28,2" info="sidearmR, front"/>
             <BoxCollisionShape position="140,12,261" roll="-15" halfExtents="22,41,43" info="sidearmR, back"/>
-            <!--<BoxCollisionShape position="145,25,5" roll="-15" halfExtents="10,18,5" info="sidearmR, front break"/>-->
             <BoxCollisionShape position="133,-13,29" roll="-15" halfExtents="12,6,17" info="sidearmR, bottom cylinder"/>
             <BoxCollisionShape position="165,-4,31" roll="-15" halfExtents="7,21,13" info="sidearmR, box"/>
@@ -930,5 +911,5 @@
             <BoxCollisionShape position="96,33,-230" halfExtents="13,17,22" info="partR"/>
         </collisionShapes>
-    </Pawn>
+    </Pawn-->
     
 
@@ -937,25 +918,4 @@
 
     <SpawnPoint team=0 position="0,0,0" lookat="0,0,-100" spawnclass=SpaceShip pawndesign=HeavyCruiserBody />
-    
-    <?lua
-	--[[
-	    With this lua script, the sub-parts of HeavyCruiser can easily be inserted into a level.
-	    Available functions are:
-	      To place all subparts:
-	         placeAllSubParts(team, posX, posY, posZ, dirX, dirY, dirZ)
-	      To place individual parts:
-	         placeFrontL(...)   Use the same arguments as in placeAllSubParts
-	         placeFrontR(...)
-	         placePartL(...)
-	         placePartR(...)
-	         placeSidearmL(...)
-	         placeSidearmLfront(...)
-	         placeSidearmR(...)
-	         placeSidearmRfront(...)
-	]]--
-
-        dofile("includes/HeavyCruiserParts.lua")
-        placeAllSubParts(0, 0,0,0, 0,0,0)
-    ?>
     
     <!-- <SpawnPoint team=0 position="0,-200,0" lookat="0,-200,-100" spawnclass=SpaceShip pawndesign=HeavyCruiser /> -->
